## tran 5

=== Makefile ===
all:	scripts tran.1

SRC = $(filter-out $(wildcard gen/*~) $(wildcard gen/.*),$(wildcard gen/*))
GEN = $(SRC:gen/%=data/%)

scripts:	${GEN}

data/%:	gen/%
	$< >$@

tran.1:	tran.pod
	pod2man -c tran -s 1 -n tran $< >$@

clean:
	rm -rf ${GEN} tran.1

.PHONY:	all scripts clean

## tran 1

=== debian/changelog ===
tran (1-1) unstable; urgency=medium

  * Initial release (Closes: #636017)

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 19 Apr 2016 00:27:25 +0200

=== debian/control ===
Source: tran
Section: text
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>=9.20160402~)
Standards-Version: 3.9.8
Homepage: https://github.com/kilobyte/tran
Vcs-Git: https://github.com/kilobyte/tran.git -b debian
Vcs-Browser: https://github.com/kilobyte/tran/tree/debian

Package: tran
Architecture: all
Depends: ${misc:Depends}
Description: transcribe between character scripts (alphabets)
 This tool lets you transliterate, with a ¼-hearted attempt at transcription,
 both ways between Latin and a number of other writing scripts.  Thus for
 example the word “Debian” is “Дэбян” in Cyrillic or “Δεβιαν” in Greek.
 Conversion to Latin lets you understand foreign text (at least names if not
 meaning), conversion from Latin is for fun, i10n testing, etc.
 .
 Supported scripts:
  * latin
  * cyrillic
  * greek
  * devanagari
  * futhark (runes)
  * hiragana
  * katakana
  * ascii (Latin without diacritics or digraphs)
  * fullwidth (double-width ASCII)
  * smallcaps
  * Unicode Plane 1 "math" characters: bold, italic, bold italic, script,
    bold script, fraktur, double-struck, bold fraktur, sans-serif,
    sans-serif bold, sans-serif italic, sans-serif bold italic,
    monospace
  * enclosed alphanumerics: circled, parenthesized, squared, negative
    circled, negative squared, regional indicators
 Support for arabic and hebrew is not possible; if you want some other script
 please let me know.

## tran 2

=== debian/changelog ===
tran (2-2) unstable; urgency=medium

  * Description: drop mention of no hebrew and arabic.
  * Multi-Arch: foreign.
  * Watch file.
  * dh 11.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 31 Dec 2017 00:02:35 +0100

tran (2-1) unstable; urgency=medium

  * New upstream release.
    + Fixes to smallcaps, devanagari.
    + "old italic".

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 30 Sep 2016 02:49:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: text
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>=9.20160402~)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>=11~)
+Standards-Version: 4.1.3
 Homepage: https://github.com/kilobyte/tran
 Vcs-Git: https://github.com/kilobyte/tran.git -b debian
 Vcs-Browser: https://github.com/kilobyte/tran/tree/debian
+Rules-Requires-Root: no
 
 Package: tran
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: transcribe between character scripts (alphabets)
  This tool lets you transliterate, with a ¼-hearted attempt at transcription,
  both ways between Latin and a number of other writing scripts.  Thus for
@@ -26,6 +28,7 @@
   * futhark (runes)
   * hiragana
   * katakana
+  * old italic
   * ascii (Latin without diacritics or digraphs)
   * fullwidth (double-width ASCII)
   * smallcaps
@@ -35,5 +38,3 @@
     monospace
   * enclosed alphanumerics: circled, parenthesized, squared, negative
     circled, negative squared, regional indicators
- Support for arabic and hebrew is not possible; if you want some other script
- please let me know.

## tran 3

=== debian/changelog ===
tran (3-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 31 Dec 2017 16:57:26 +0100

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
   * hiragana
   * katakana
   * old italic
+  * gothic (Ulfilas' — you may be looking for fraktur instead)
   * ascii (Latin without diacritics or digraphs)
   * fullwidth (double-width ASCII)
   * smallcaps

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build-indep:
	LC_ALL=C.UTF-8 dh_auto_build -i

override_dh_auto_install:
	sed 's|"data"|"/usr/share/tran"|' <tran >$(CURDIR)/debian/tran/usr/bin/tran

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tran-$1\.tar\.gz/ \
  https://github.com/kilobyte/tran/tags /kilobyte/tran/archive/v?(\d\S*)\.tar\.gz

## tran 4

=== debian/changelog ===
tran (4-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 30 Jul 2018 01:17:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper (>=11~)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://github.com/kilobyte/tran
 Vcs-Git: https://github.com/kilobyte/tran.git -b debian
 Vcs-Browser: https://github.com/kilobyte/tran/tree/debian
@@ -30,6 +30,9 @@
   * katakana
   * old italic
   * gothic (Ulfilas' — you may be looking for fraktur instead)
+  * georgian (mkhedruli)
+  * mtavruli (also Georgian)
+  * armenian
   * ascii (Latin without diacritics or digraphs)
   * fullwidth (double-width ASCII)
   * smallcaps

## tran 5

=== debian/changelog ===
tran (5-3) unstable; urgency=medium

  * Fix the watch file.
  * dh 13.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 29 Sep 2021 20:51:11 +0200

tran (5-2) unstable; urgency=medium

  * An autopkgtest.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 18 Dec 2019 02:44:54 +0100

tran (5-1) unstable; urgency=medium

  * New upstream release.
    + Handles mkhedruli uppercasing to mtavruli in new Unicode.
      (closes: #946353)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 16 Dec 2019 05:41:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>=11~)
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (=13)
+Standards-Version: 4.6.0
 Homepage: https://github.com/kilobyte/tran
 Vcs-Git: https://github.com/kilobyte/tran.git -b debian
 Vcs-Browser: https://github.com/kilobyte/tran/tree/debian

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build-indep:
 	LC_ALL=C.UTF-8 dh_auto_build -i

=== debian/tests/control ===
Tests: to-latin

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tran-$1\.tar\.gz/ \
  https://github.com/kilobyte/tran/tags .*/tags/v?(\d\S*)\.tar\.gz
